Get Site By Id

Get Site By Id
Retrieve a specific site by the site id.

Retrieves a specific site onboarded to the platform by the site id provided. If the site does not exist on the platform, a 404 will be returned.

Notes:

  • The platform does not store the username and password that were used to onboard the site, so these fields will always be returned empty.
Request
URI
GET
https://{api_host}/ssp/sites/{site-id}
COPY
Path Parameters
string
site-id
Required  

The site ID of the site being retrieved.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Site of type(s) application/json
OneOf
This class returns at least one of the following:
{
    "_create_time": 1779491346080,
    "_last_modified_time": 1779491350276,
    "_resource_type": "Site",
    "_revision": 0,
    "id": "2dc09816-34c0-43fb-99a6-b19b249a43da",
    "site_ids": [
        "2dc09816-34c0-43fb-99a6-b19b249a43da"
    ],
    "desired_state": "ONBOARD",
    "cluster_manager_ips": [
        "190.168.111.9"
    ],
    "site_connection_info": {
        "password": "",
        "username": "",
        "connection_type": "DYNAMIC",
        "hostname": "190.168.111.9"
    },
    "site_name": "nsx-mgr-0",
    "site_type": "NSX_MANAGER",
    "status": {
        "cluster_status": "STABLE",
        "conditions": [
            {
                "last_transition_time": 1779491372000,
                "message": "",
                "name": "CertificatesInSync",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491434000,
                "message": "",
                "name": "ConnectionEstablished",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491437000,
                "message": "",
                "name": "SiteConditionConfiguredPlatformDeploymentConfig",
                "state": "NOT_APPLICABLE"
            },
            {
                "last_transition_time": 1779491439000,
                "message": "",
                "name": "CreatedNsxSspApplianceInfo",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491534000,
                "message": "",
                "name": "FeatureSettingsReady",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491514000,
                "message": "",
                "name": "CommonAgentReady",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491563000,
                "message": "",
                "name": "PaceAgentReady",
                "state": "PASS"
            },
            {
                "last_transition_time": 1779491532000,
                "message": "",
                "name": "NsxStreamingReady",
                "state": "PASS"
            }
        ],
        "configuration_status": {
            "configuration_message": "OnboardingComplete",
            "current_status": "READY",
            "site_precheck_status": {
                "site_precheck_phase": "ONBOARD",
                "site_precheck_results": [
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteConnectionPrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "ActiveSitePrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteUserRolePrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteVersionCompatabilityPrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteNodeTypePrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteRegistrationPrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteNtpPrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "BackupRestoreInProgressPrecheck",
                        "precheck_result_status": "PASSED"
                    },
                    {
                        "precheck_last_run_time": 1779491349000,
                        "precheck_name": "SiteNsxConfigLimitPrecheck",
                        "precheck_result_status": "PASSED"
                    }
                ],
                "site_precheck_state": "PASSED"
            }
        },
        "connection_status": "HEALTHY",
        "infrastructure_sync_agent_status": {
            "last_transition_time": 1779491514000,
            "status": "UP"
        },
        "inventory_sync_agent_status": {
            "last_transition_time": 1779491563000,
            "status": "UP"
        },
        "nsx_cluster_id": "463ce5e1-8001-4b60-b346-796940459666",
        "nsx_version": "9.2.0.0.25077145"
    },
    "virtual_ip": "190.168.111.99"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 200001,
    "error_message": "An internal server error occurred.",
    "module_name": "site"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/sites/{site-id}